namespace sap.beta.odm.utilities.billingaccount;

/**
 * This entity holds the fields of BillingAccount and their
 * default values for each templateId
 */
entity BillingAccountTemplates {
        /**
         * Identifies the template to which a field belongs
         */
    key templateId  : String(3);
        /**
         * Holds the name of the field for Billing Account
         */
    key fieldName   : String(50);
        /**
         * Holds the value to be assigned to the field
         */
        fieldValue  : String(100);
        /**
         * Identifies whether the template details were provided by SAP
         */
        sapProvided : Boolean;
}