namespace sap.odm.product;

/**
 * Global trade item number technical type. Number without
 * leading zeros.
 */
type GTIN : String(18);
/**
 * Quantity in decimal format.
 */
type Quantity : Decimal(13, 3);
/**
 * Unique external identifier of a specification.
 */
type SpecificationId : String(32);
/**
 * External identifier that uniquely identifies a certain
 * version of a specification.
 */
type SpecificationVersionId : String(6);
/**
 * Unique external identifier of a substance, nutrient, or
 * allergen.
 */
type ListedItemId : String(32);
/**
 * Unique internal identifier of a specification in the source
 * system.
 */
type SubstanceId : String(20);
/**
 * Unique external identifier of a specification in the source
 * system.
 */
type RecordNumber : String(20);
/**
 * External identifier for allergen statement.
 */
type AllergenStatementId : String(2);
/**
 * External identifier for role in composition.
 */
type RoleInCompositionId : String(10);
/**
 * Duration in milliseconds. Maximum number of digits is 11.
 */
type Duration : Integer64;
/**
 * ID of the product.
 */
type ProductId : String(40);