namespace sap.odm.sales.orgunit;

using {sap.odm.common.codeList} from '../../common';

/**
 * A channel through which products or services reach
 * customers. Typical examples of distribution channels are
 * wholesale, retail, or direct sales.
 */
@odm.doc.SAPDelivered : false
@odm.doc.extensible   : true
entity DistributionChannelCodes : codeList {
      /**
       * Code list entry.
       */
  key code : String(2);
}

/**
 * A specific distribution channel.
 */
type DistributionChannelCode : Association to one DistributionChannelCodes;
