namespace sap.odm.businesspartner;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Codes defining the specific usage of address information
 * for a business purpose (for example, used as for a shipping or
 * billing address).
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity AddressDataUsageCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(10);
};

/**
 * Code defining the specific usage of address information
 * for a business purpose (for example, used as for a shipping or
 * billing address).
 */
type AddressDataUsageCode: association to one AddressDataUsageCodes;
