namespace sap.odm.businesspartner;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Code for a function that a business partner takes on,
 * depending on a business transaction.
 */
type BusinessPartnerRoleCode: association to one BusinessPartnerRoleCodes;

/**
 * Codes for a function that a business partner takes on,
 * depending on a business transaction.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: false
entity BusinessPartnerRoleCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(6);
};
