namespace sap.odm.businesspartner;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Code for a communication method with which you can exchange
 * documents and messages with a business partner.
 */
type CommunicationMethodCode: association to one CommunicationMethodCodes;

/**
 * Codes for communication methods with which you can exchange
 * documents and messages with a business partner.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CommunicationMethodCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(3);
};
