namespace sap.odm.businesspartner;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A code for type of legal form that is of significance for the
 * organization of a company.
 */
type CompanyLegalFormCode: association to one CompanyLegalFormCodes;

/**
 * Codes that represent legal forms that are of significance for
 * the organization of a company.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CompanyLegalFormCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(2);
};
