namespace sap.odm.businesspartner;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Code for identification type such as ID card or driver's
 * license.
 */
type IdentificationTypeCode: association to one IdentificationTypeCodes;

/**
 * Codes for identification types such as ID card or driver's
 * license.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity IdentificationTypeCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(6);
};
