namespace sap.odm.businesspartner;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Code used to combine and categorize several industries into a
 * group.
 */
type IndustrySystemTypeCode: association to one IndustrySystemTypeCodes;

/**
 * Codes used to combine and categorize several industries into
 * a group.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity IndustrySystemTypeCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(4);
};
