namespace sap.odm.businesspartner;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Code identifying the lifecycle status of a business partner.
 */
type LifecycleStatusCode: association to one LifecycleStatusCodes;

/**
 * Codes identifying the lifecycle status of a business partner
 * (For example, released, blocked, and deleted).
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: false
entity LifecycleStatusCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(2);
};
