namespace sap.odm.common;

using { sap.odm.common.licensedCodeList } from './aspects.cds';
using { sap.odm.common.CurrencyCode } from './CurrencyCodes.cds';

/**
 * A specific country code.
 */
type CountryCode: association to one CountryCodes;

/**
 * Country codes following IES ISO-3166 ALPHA-2.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: false
entity CountryCodes: licensedCodeList  {
  /**
   * the ISO-3166 2-char code of the country.
   */
  key code: String(2);
  /**
   * the optional information of a main currency in that country.
   */
  currency: CurrencyCode;
};
