namespace sap.odm.common;

using { sap.odm.common.licensedCodeList } from './aspects.cds';

/**
 * A specific currency code.
 */
type CurrencyCode: association to one CurrencyCodes;

/**
 * Currency Codes which follow ISO 4217.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: false
@odm.doc.externalStandardLink: 'https://www.iso.org/iso-4217-currency-codes.html'
entity CurrencyCodes: licensedCodeList  {
  /**
   * 3 characters alphabetic code.
   */
  key code: String(3);
  /**
   * Minor unit - The number of digits after the decimal
   * separator.
   */
  minorUnit: Integer;
};
