namespace sap.odm.common;

using { sap.odm.common.codeList } from './aspects.cds';

/**
 * A specific gender code.
 */
type GenderCode: association to one GenderCodes;

/**
 * A GenderCode is the coded representation of a person's
 * gender. These gender codes are a SAP code list and differ
 * from ISO 5218 standard. To fulfill legal requirements in §
 * 22 (3) PStG a value "3" ; "Nonbinary" is included.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: false
@odm.doc.externalStandardLink: ''
@odm.doc.relatedGDT: 'GenderCode'
entity GenderCodes: codeList  {
  /**
   * The decimal code (placed in 1 char) for the gender.
   */
  key code: String(1);
};
