namespace sap.odm.common;

using { sap.odm.common.codeList } from './aspects.cds';

/**
 * Specific language code to identify human languages.
 */
type LanguageCode: association to one LanguageCodes;

/**
 * The language code to identify human languages - follows IETF
 * BCP 47 language tag (RFC 5646).
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: true
entity LanguageCodes: codeList  {
  /**
   * This field contains the IETF BCP 47 language tag in format:
   * Language[-Region].
   */
  key code: String(35);
};
