namespace sap.odm.common;

using { sap.odm.common.codeList } from './aspects.cds';

/**
 * A specific script code.
 */
type ScriptCode: association to one ScriptCodes;

/**
 * A code for the presentation of names of scripts (language
 * signs).
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: false
entity ScriptCodes: codeList  {
  /**
   * The script code (language sign).
   */
  key code: String(4);
};

aspect ScriptedObject {
  /**
   * Script code.
   */
  scriptCode: ScriptCode;
};
