namespace sap.odm.common;

using { sap.odm.common.codeList } from './aspects.cds';

/**
 * A specific time zone code.
 */
type TimeZoneCode: association to one TimeZoneCodes;

/**
 * Time zone codes from IANA time zone DB (tzdb-2019c, public
 * domain).
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: false
@odm.doc.externalStandardLink: 'https://data.iana.org/time-zones/tzdb-2019c/tz-link.html'
entity TimeZoneCodes: codeList  {
  /**
   * Time zone code.
   */
  key code: String(32);
};
