namespace sap.odm.common.address;

using { sap.odm.common.codeList } from '../aspects.cds';

/**
 * A specific academic title code.
 */
type AcademicTitleCode: association to one AcademicTitleCodes;

/**
 * A coded representation of an academic title.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: true
@odm.doc.relatedGDT: 'AcademicTitleCode'
entity AcademicTitleCodes: codeList  {
  /**
   * Academic title code.
   */
  key code: String(255);
};
