namespace sap.odm.common.address;

using { sap.odm.common.codeList } from '../aspects.cds';

/**
 * Delivery types that identify delivery locations other than
 * the ordinary mailbox or personal deliveries.
 */
type DeliveryTypeCode: association to one DeliveryTypeCodes;

/**
 * Delivery types that identify delivery locations other than
 * the ordinary mailbox or personal deliveries.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: false
entity DeliveryTypeCodes: codeList  {
  /**
   * The code.
   */
  key code: String(10);
};
