namespace sap.odm.common.address;

using { sap.odm.common.codeList } from '../aspects.cds';

/**
 * A specific district code.
 */
type DistrictCode: association to one DistrictCodes;

/**
 * District is defined in ISO 19160-4:2017 as an addressable
 * area inside of a town or adjacent to a town.
 */
@odm.doc.SAPDelivered: false
@odm.doc.alternateTerms: [ '' ]
@odm.doc.extensible: true
@odm.doc.externalStandardLink: 'ISO 19160-4:2017 / UPU standard'
entity DistrictCodes: codeList  {
  /**
   * ISO 19160-4:2017.
   */
  key code: String(10);
};
