namespace sap.odm.common.address;

using { sap.odm.common.codeList } from '../aspects.cds';

/**
 * A specific prefix for a family name.
 */
type FamilyNamePrefixCode: association to one FamilyNamePrefixCodes;

/**
 * A coded representation of one or more prefix words for the
 * name of a person, for example "Van der".
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: true
@odm.doc.relatedGDT: 'FamilyNamePrefixCode'
entity FamilyNamePrefixCodes: codeList  {
  /**
   * Family name prefix code.
   */
  key code: String(255);
};
