namespace sap.odm.common.address;

using { sap.odm.common.codeList } from '../aspects.cds';

/**
 * A specific suffix for a family name.
 */
type FamilyNameSuffixCode: association to one FamilyNameSuffixCodes;

/**
 * A code that describes a name suffix. For example, junior,
 * senior, III, Ph.D., etc.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: true
@odm.doc.externalStandardLink: ''
entity FamilyNameSuffixCodes: codeList  {
  /**
   * Family name suffix code.
   */
  key code: String(255);
};
