namespace sap.odm.common.address;

using { sap.odm.common.codeList } from '../aspects.cds';

/**
 * A specific form of address.
 */
type FormOfAddressCode: association to one FormOfAddressCodes;

/**
 * A coded representation of a form of address, e.g. Mr.,
 * Company, ...
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: true
@odm.doc.externalStandardLink: ''
entity FormOfAddressCodes: codeList  {
  /**
   * Form of address code.
   */
  key code: String(255);
};
