namespace sap.odm.dpp;

using {
  sap.odm.common.cuid,
  sap.odm.common.managed
} from '../common/aspects.cds';
using { sap.odm.dpp.DisplayId } from './types.cds';
using { sap.odm.dpp.Purpose2DataController } from './Purpose2DataController.cds';

/**
 * Responsible body that determines the processing of personal
 * data.
 */
@ODM.root: true
entity DataController: cuid, managed  {
  /**
   * Human-readable identifier of the data controller.
   */
  displayId: DisplayId not null;
  /**
   * Title of the data controller is a short description used for
   * display.
   */
  name: localized String(60);
  /**
   * Purposes based on which data controller is processing
   * personal data of a Data Subject.
   */
  purposes: association to many Purpose2DataController on purposes.dataController = $self;
};
