namespace sap.odm.dpp;

using {
  sap.odm.common.cuid,
  sap.odm.common.managed
} from '../common/aspects.cds';
using { sap.odm.dpp.Purpose } from './Purpose.cds';
using { sap.odm.dpp.DataController } from './DataController.cds';

/**
 * Technical mapping entity to encapsulate association from
 * Purpose to many DataController.
 */
@ODM.root: true
entity Purpose2DataController: cuid, managed  {
  /**
   * Link to Purpose.
   */
  purpose: association to one Purpose;
  /**
   * Link to DataController.
   */
  dataController: association to one DataController;
};
