namespace sap.odm.dpp;

using { sap.odm.dpp.Purpose } from './Purpose.cds';

/**
 * Component entity to capture a reference to a DPP purpose.
 */
type PurposeReference: {
  /**
   * Identifier of the referenced purpose record.
   */
  purpose: association to one Purpose;
};

/**
 * Aspect to capture references to DPP purposes within a
 * business object entity instance.
 */
aspect TrackPurpose {
  /**
   * The set of business purposes attached to the entity instance.
   */
  purposes: many PurposeReference;
};
