namespace sap.odm.finance;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific category of the tax.
 */
type TaxCategoryCode: association to one TaxCategoryCodes;

/**
 * Indicates the category of the tax.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: true
@odm.doc.relatedGDT: 'TaxTypeCode'
entity TaxCategoryCodes: codeList  {
  /**
   * Tax category representation code.
   */
  key code: String(4);
};
