namespace sap.odm.finance.payment;

using { sap.odm.common.codeList } from '../../common/aspects.cds';

/**
 * A specific payment method.
 */
type PaymentMethodCode: association to one PaymentMethodCodes;

/**
 * List of possible payment methods. Examples: Bank, Check,
 * Cash.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: true
@odm.doc.relatedGDT: 'PaymentMethodCodes'
entity PaymentMethodCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(1);
};
