namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represent the sorting order of a supplier accounting invoice.
 */
type SupplierAccountingInvoiceSortingOrderCode: association to one SupplierAccountingInvoiceSortingOrderCodes;

/**
 * Codes for sorting order of supplier invoices.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierAccountingInvoiceSortingOrderCodes: codeList  {
  /**
   * A list of codes that represent the sorting orders of supplier accounting invoices.
   */
  key code: String(3);
};
