namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the exemption of the withholding tax of
 * a supplier.
 */
type SupplierAccountingWithholdingTaxExemptionReasonCode: association to one SupplierAccountingWithholdingTaxExemptionReasonCodes;

/**
 * Codes for the exemption of the withholding tax of a
 * supplier.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierAccountingWithholdingTaxExemptionReasonCodes: codeList  {
  /**
   * A list of codes that represent the reason for exemption of the withholding tax of
   * a supplier.
   */
  key code: String(2);
};
