namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the sub-type of the withholding tax of a supplier.
 */
type SupplierAccountingWithholdingTaxSubTypeCode: association to one SupplierAccountingWithholdingTaxSubTypeCodes;

/**
 * Codes for sub-type of the withholding tax.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierAccountingWithholdingTaxSubTypeCodes: codeList  {
  /**
   * A list of codes that represent the sub-type of the withholding tax of a supplier.
   */
  key code: String(2);
  /**
   * The type of the withholding tax for which the sub-type is
   * valid.
   */
  withholdingTaxType: String(2);
};
