namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the type of withholding tax of a supplier.
 */
type SupplierAccountingWithholdingTaxTypeCode: association to one SupplierAccountingWithholdingTaxTypeCodes;

/**
 * Codes for type of the withholding tax.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierAccountingWithholdingTaxTypeCodes: codeList  {
  /**
   * A list of codes that represent the type of withholding tax of a supplier.
   */
  key code: String(2);
};
