namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the reason a supplier payment is blocked.
 */
type SupplierPaymentBlockingReasonCode: association to one SupplierPaymentBlockingReasonCodes;

/**
 * Codes for blocking reasons in supplier entities for payment
 * processes.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierPaymentBlockingReasonCodes: codeList  {
  /**
   * A list of codes that represent the reason a supplier payment is blocked.
   */
  key code: String(4);
};
