namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the reason a supplier posting is blocked.
 */
type SupplierPostingBlockingReasonCode: association to one SupplierPostingBlockingReasonCodes;

/**
 * Codes for reasons postings of supplier entities are blocked.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierPostingBlockingReasonCodes: codeList  {
  /**
   * A list of codes that represent the reason a supplier posting is blocked.
   */
  key code: String(4);
};
