namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the pricing procedure for the supplier purchasing arrangement.
 */
type SupplierPurchasingArrangementCalculationSchemaCode: association to one SupplierPurchasingArrangementCalculationSchemaCodes;

/**
 * Determines the calculation schema (pricing procedure).
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierPurchasingArrangementCalculationSchemaCodes: codeList  {
  /**
   * A list of codes that represent the pricing procedure for the supplier purchasing arrangement.
   */
  key code: String(2);
};
