namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the supplier purchasing arrangement according to their
 * business significance.
 */
type SupplierPurchasingArrangementClassificationCode: association to one SupplierPurchasingArrangementClassificationCodes;

/**
 * Classifies the supplier purchasing arrangement according to their
 * business significance.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierPurchasingArrangementClassificationCodes: codeList  {
  /**
   * A list of codes that represent the supplier purchasing arrangement according to their
   * business significance.
   */
  key code: String(1);
};
