namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the business process related functions 
 * of a purchasing arrangement.
 */
type SupplierPurchasingArrangementFunctionCode: association to one SupplierPurchasingArrangementFunctionCodes;

/**
 * Business process related functions of a purchasing
 * arrangement.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierPurchasingArrangementFunctionCodes: codeList  {
  /**
   * A list of codes that represent the business process related functions 
   * of a purchasing arrangement.
   */
  key code: String(4);
};
