namespace sap.odm.procurement;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents the reason the supplier purchasing process is blocked.
 */
type SupplierPurchasingBlockingReasonCode: association to one SupplierPurchasingBlockingReasonCodes;

/**
 * Codes for blocking reasons in supplier entities for
 * purchasing processes.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity SupplierPurchasingBlockingReasonCodes: codeList  {
  /**
   * A list of codes that represent the reason the supplier purchasing process is blocked.
   */
  key code: String(4);
};
