namespace sap.odm.sales;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A code that represents the reason why customer billing is blocked.
 */
type CustomerBillingBlockingReasonCode: association to CustomerBillingBlockingReasonCodes;

/**
 * Explains why a billing processes is blocked for a customer.
 * It also specifies whether processing of a document is
 * blocked for the entire company or only for the selected
 * sales areas.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CustomerBillingBlockingReasonCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(2);
};
