namespace sap.odm.sales;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A code that represents the reason a customer order is blocked.
 */
type CustomerOrderBlockingReasonCode: association to CustomerOrderBlockingReasonCodes;

/**
 * Explains why ordering is blocked for a customer.
 * It also specifies if the processing of a document is
 * blocked for the entire company or only for the selected
 * sales areas.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CustomerOrderBlockingReasonCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(2);
};
