namespace sap.odm.sales;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Specifies the type of customer sales arrangements group.
 */
type CustomerSalesArrangementGroupCode: association to one CustomerSalesArrangementGroupCodes;

/**
 * Identifies a particular group of customer sales arrangements
 * (for example, wholesale or retail) for the purpose of
 * pricing or generating statistics.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CustomerSalesArrangementGroupCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(2);
};
