namespace sap.odm.sales;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * A specific code that represents a customer sales arrangement price
 * group.
 */
type CustomerSalesArrangementPriceGroupCode: association to one CustomerSalesArrangementPriceGroupCodes;

/**
 * Specifies a group of customer sales arrangements that share the same
 * pricing requirements.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CustomerSalesArrangementPriceGroupCodes: codeList  {
  /**
   * A list of codes that represent customer sales arrangement price groups.
   */
  key code: String(2);
};
