namespace sap.odm.sales;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Represents the tax class of a customer.
 */
type CustomerTaxClassificationCode: association to one CustomerTaxClassificationCodes;

/**
 * Represents the tax classes of a customer.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CustomerTaxClassificationCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(4);
};
