namespace sap.odm.sales;

using { sap.odm.common.codeList } from '../common/aspects.cds';

/**
 * Specifies the role of a sales partner.
 */
type SalesPartnerRoleCode: association to one SalesPartnerRoleCodes;

/**
 * Specifies the roles of a sales partner.
 */
@odm.doc.SAPDelivered: true
@odm.doc.alternateTerms: [ 'Partner function' ]
@odm.doc.extensible: true
entity SalesPartnerRoleCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(10);
};
