namespace sap.odm.sales;

using { sap.odm.common.IncotermsClassificationCode } from '../common/IncotermsClassificationCodes.cds';

aspect Incoterms {
  /**
   * Commonly used trading terms that comply with the standards
   * established by the International Chamber of Commerce (ICC).
   * Incoterms specify internationally recognized procedures that
   * the shipper and the receiving party must follow for the
   * shipping transaction to be completed successfully.
   */
  incotermsClassification: IncotermsClassificationCode;
  /**
   * Additional information for the primary Incoterm.
   */
  incotermsTransferLocationName: String(28);
};
