namespace sap.odm.sales.s4;

using { sap.odm.common.codeList } from '../../common/aspects.cds';

/**
 * Specific Customer Classification Code.
 */
type CustomerAccountGroupCode: association to CustomerAccountGroupCodes;

/**
 * Specifies a classification of the customer (for example,
 * classifies the customer as a bulk purchaser).
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CustomerAccountGroupCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(4);
};
