namespace sap.odm.sales.s4;

using { sap.odm.common.codeList } from '../../common/aspects.cds';

/**
 * The account group is a classifying feature within customer
 * master records. It determines number range of the customer
 * account number, whether the number is assigned by the user
 * or by the system and the necessary or possible
 * specifications in the master record.
 */
type CustomerClassificationCode: association to CustomerClassificationCodes;

/**
 * The account group is a classifying feature within customer
 * master records. It determines number range of the customer
 * account number, whether the number is assigned by the user
 * or by the system and the necessary or possible
 * specifications in the master record.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity CustomerClassificationCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(2);
};
