namespace sap.odm.sales.s4;

using { sap.odm.common.codeList } from '../../common/aspects.cds';

/**
 * Specifies a regional division according to the market
 * categories created by the A. C. Nielsen company.
 */
type NielsenRegionCode: association to NielsenRegionCodes;

/**
 * Specifies a regional division according to the market
 * categories created by the A. C. Nielsen company.
 */
@odm.doc.SAPDelivered: false
@odm.doc.extensible: true
entity NielsenRegionCodes: codeList  {
  /**
   * Code list entry.
   */
  key code: String(2);
};
