namespace sap.odm.workforce;

using { sap.odm.common.managed } from '../common/aspects.cds';

/**
 * Maps the cuid of a WorkforcePerson to the ID within a given
 * system of record.
 */
type SystemOfRecordKey: managed {
  /**
   * Id of the system of record.
   */
  @PersonalData.IsPotentiallyPersonal: true
  systemOfRecordId: String(100);
  /**
   * Id of a corresponding Work Assignment within the system of
   * record.
   */
  @PersonalData.IsPotentiallyPersonal: true
  systemOfRecordWorkAssignmentId: String(100) not null;
  /**
   * Indicator whether the system of record is the current one or
   * not.
   */
  @PersonalData.IsPotentiallyPersonal: true
  isCurrentSystemOfRecord: Boolean;
  /**
   * External id of the work assignment within the system of
   * record.
   */
  @PersonalData.IsPotentiallyPersonal: true
  workAssignmentExternalId: String(100) not null;
};
