namespace sap.odm.workforce.foundation;

using { sap.odm.common.codeList } from '../../common/aspects.cds';

/**
 * A specific category of an organizational unit.
 */
type OrganizationalUnitCategoryCode: association to one OrganizationalUnitCategoryCodes;

/**
 * Indicates the category of the Human Resources Organizational
 * Unit, by default Department, Division or Business Unit.
 */
@odm.doc.SAPDelivered: true
@odm.doc.extensible: true
entity OrganizationalUnitCategoryCodes: codeList  {
  /**
   * Category of the Human Resources Organizational Unit.
   */
  key code: String(2);
};
