using {sap.odm.sales as sales} from '../../../db';
using {sap.alpha.c4u.foundation.retailer.configuration as configuration} from '../../../db/models/alpha/configuration';

service DistributionService @(
    path : '/api/alpha/internal/distribution',
    protocol : 'odata',
    requires : 'authenticated-user'
) {

    // /*
    //  * Business Scenarios
    //  */
    @(restrict : [
        {
            grant : ['WRITE'],
            to    : 'API.Write'
        },
        {
            grant : ['READ'],
            to    : 'API.Read'
        }
    ])
    entity UtilitiesBusinessScenarios as projection on configuration.UtilitiesBusinessScenarios {
        customerOrderType, customerOrderItemType, externalDocumentType, businessAction, externalDocumentHeaderType, externalDocumentItemType, sapProvided
    }

    /*
     * Type codes
     */

    @(restrict : [
        {
            grant : ['WRITE'],
            to    : 'API.Write'
        },
        {
            grant : ['READ'],
            to    : 'API.Read'
        }
    ])

    entity BusinessActionTypeCodes    as projection on configuration.BusinessActionTypeCodes {
        code, name, descr
    }

    @(restrict : [
        {
            grant : ['WRITE'],
            to    : 'API.Write'
        },
        {
            grant : ['READ'],
            to    : 'API.Read'
        }
    ])


    entity ExternalDocumentTypeCodes  as projection on configuration.ExternalDocumentTypeCodes {
        code, name, descr
    }

    @(restrict : [
        {
            grant : ['WRITE'],
            to    : 'API.Write'
        },
        {
            grant : ['READ'],
            to    : 'API.Read'
        },
    ])

    action distributeOrder(id : UUID);
};
